[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.GetDefaultValueUnchecked

Gets the default String value for a check box in the UnChecked state.

## Declaration

Source position: dbgrids.pas line 274

`protected function TColumn.GetDefaultValueUnchecked: string; override;`

## Function result

'FALSE' or '0'

## Description

GetDefaultValueUnchecked is an overridden String function used to get the default value used for a check box column in the UnChecked state. When Field has been assigned for the column, and the data type is ftBoolean the return value is 'FALSE'. If Field has not been assigned, the return value is '0'.